View Issue Details

IDProjectCategoryView StatusLast Update
0002591DraftBugpublic2017-03-06 23:36
Reportermickele 
Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
Status feedbackResolutionopen 
PlatformLinuxOSArchLinuxOS VersionCurrent
Product Version0.16 
Target VersionFixed in Version 
Summary0002591: Wrong view of a compund of cylinders
DescriptionI created a compound of three cylinders perpendicular to each other.
In draft module, view on XY plane is wrong containing lines that shouldn't be visible.
Steps To ReproduceCreate three cylinders with following data:
Cylinder 1 - radius: 10 - height: 100 - axis 0,1,0 - angle 90° - position 0,0,0
Cylinder 2 - radius: 10 - height: 100 - axis 0,1,0 - angle 90° - position 0,50,50
Cylinder 2 - radius: 8 - height: 70 - axis -1,0,0 - angle 45° - position 50,0,0

Fuse the cylinders.
In draft module, create a shape2DView of the fusion object.
View contains segments that shouldn't be visible.
TagsOCC 7.1, OCC Bug, upstream

Relationships

Activities

2016-06-15 20:26mickeleNew Issue
2016-06-15 20:26mickeleFile Added: test-cylinder.FCStd

mickele

2016-06-15 20:26

reporter  

test-cylinder.FCStd (31,034 bytes)

mickele

2016-06-15 20:27

reporter   ~0007150

I had the same behaviour on Debian and Windows.

Kunda1

2017-01-28 12:53

manager   ~0008051

@mickele please post Help > About FreeCAD > 'Copy to clipboard' for all systems you confirmed this on. Also in the future please open a forum thread first before opening a ticket. Nevertheless, thanks for the report.
Forum thread: https://forum.freecadweb.org/viewtopic.php?f=10&t=20310
2017-01-28 12:53Kunda1Statusnew => feedback

normandc

2017-01-28 19:25

manager   ~0008062

IMO this bug is dependent on upstream OCC's hidden line algorithm, thus it is essential to know what OCC version the bug appears in. OCC 7.1.0 brings relevant fixes, this needs to be tested with FreeCAD compiled with OCC 7.1.0.

To check the file in a different version of FreeCAD/OCC, a force recompute is necessary. In python console:
import FreeCAD
for obj in FreeCAD.ActiveDocument.Objects:
 obj.touch()
FreeCAD.ActiveDocument.recompute()

Attached "bug2591-test-cylinder-original.png" shows how Shape2DView object appears in the original file.

Attached "bug2591-test-cylinder-OCC6.8.0.png" shows how it appears after a force recompute on the following FreeCAD version. Better, but still not perfect.

OS: Ubuntu 14.04.5 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.16.6707 (Git)
Build type: None
Branch: releases/FreeCAD-0-16
Hash: 5465bc47c95db45e0be85dc0e2872419efadce0f
Python version: 2.7.6
Qt version: 4.8.6
Coin version: 4.0.0a
OCC version: 6.8.0.oce-0.17
2017-01-28 19:26normandcFile Added: bug2591-test-cylinder-original.png
2017-01-28 19:26normandcFile Added: bug2591-test-cylinder-OCC6.8.0.png
2017-01-28 19:30Kunda1Tag Attached: OCC 7.1
2017-01-28 19:30Kunda1Tag Attached: OCC Bug
2017-01-28 19:30Kunda1Tag Attached: upstream

normandc

2017-01-28 19:26

manager  

normandc

2017-01-28 19:26

manager  

Kunda1

2017-03-06 23:36

manager   ~0008555

@normandc since you've successfully compiled FC with OCC7.1.0 do you mind testing this again?

Issue History

Date Modified Username Field Change
2016-06-15 20:26 mickele New Issue
2016-06-15 20:26 mickele File Added: test-cylinder.FCStd
2016-06-15 20:27 mickele Note Added: 0007150
2017-01-28 12:53 Kunda1 Note Added: 0008051
2017-01-28 12:53 Kunda1 Status new => feedback
2017-01-28 19:25 normandc Note Added: 0008062
2017-01-28 19:26 normandc File Added: bug2591-test-cylinder-original.png
2017-01-28 19:26 normandc File Added: bug2591-test-cylinder-OCC6.8.0.png
2017-01-28 19:30 Kunda1 Tag Attached: OCC 7.1
2017-01-28 19:30 Kunda1 Tag Attached: OCC Bug
2017-01-28 19:30 Kunda1 Tag Attached: upstream
2017-03-06 23:36 Kunda1 Note Added: 0008555